=== debian/changelog ===
libsemanage (2.3-1build3) xenial; urgency=medium

  * No-change rebuild for ruby2.3 support.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 20 Apr 2016 03:53:03 -0600

libsemanage (2.3-1build2) wily; urgency=medium

  * No-change rebuild to add ruby2.2 support.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Sep 2015 16:35:28 +0000

libsemanage (2.3-1build1) vivid; urgency=medium

  * No change rebuild to get debug symbols on all architectures.

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Dec 2014 11:56:13 -0800

libsemanage (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/rules: Do not require ruby or python dh helpers when bootstrapping
  * debian/rules: Rework the makefile, it should handle changes in the
    supported ruby versions by binNMU now (Closes: #747685)
  * debian/rules: Fix path in the override_dh_fixperms target

 -- Laurent Bigonville <bigon@debian.org>  Fri, 16 May 2014 16:27:12 +0200

libsemanage (2.2-2) unstable; urgency=medium

  * Team upload.
  [ Hideki Yamane ]
  * debian/{rules,ruby-semanage.install}
    - remove ruby1.9.1 (however, it's just a workaround since it specifies
      only ruby2.0, and we'll move to ruby2.1) (Closes: #746025)

  [ Laurent Bigonville ]
  * debian/rules: Build ruby 2.1 bindings too
  * debian/control: Bump Standards-Version to 3.9.5 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 02 May 2014 02:06:36 +0200
