=== debian/watch ===
version=3

http://userspace.selinuxproject.org/releases/(\d+)/libsemanage-(.*)\.tar\.gz
