=== debian/control ===
--- 
+++ 
@@ -16,8 +16,8 @@
                libaudit-dev,
                libbz2-dev,
                libcunit1-dev,
-               libselinux1-dev (>= 2.5),
-               libsepol1-dev (>= 2.5),
+               libselinux1-dev (>= 2.6),
+               libsepol1-dev (>= 2.6),
                libustr-dev,
                pkg-config,
                python-all-dev (>= 2.6.6-3~),
@@ -82,9 +82,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.5),
+         libselinux1-dev (>= 2.6),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.5),
+         libsepol1-dev (>= 2.6),
          libustr-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -162,10 +162,10 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.5),
+Depends: libsepol1 (>= 2.6),
          python,
-         python-selinux (>= 2.5),
-         python-semanage (>= 2.5),
+         python-selinux (>= 2.6),
+         python-semanage (>= 2.6),
          ${misc:Depends},
          ${python:Depends}
 Section: admin
