=== debian/changelog ===
libsemanage (2.7-2build2) bionic; urgency=high

  * No change rebuild against ruby-defaults without ruby2.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 Mar 2018 09:35:15 +0000

libsemanage (2.7-2build1) bionic; urgency=medium

  * No-change rebuild for ruby2.5 update.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 01 Feb 2018 19:01:52 +0000

libsemanage (2.7-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/control: Drop libustr-dev (build-)dependency, not used anymore
  * debian/rules: Make the tests failures fatal again, tests don't seems to
    fail anymore

  [ Helmut Grohne ]
  * Support being built with multiple build profiles. (Closes: #875551)
  * Support nocheck build profile. (Closes: #875558)
  * Fix stage1 FTCBFS: Export triplet-prefixed CC. (Closes: #875559)
  * Use profiles nopython and noruby rather than stage1. (Closes: #875562)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 15 Sep 2017 15:14:34 +0200

libsemanage (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * Bump debhelper compatibility to 10
  * Bump Standards-Version to 4.1.0 (no further changes)
  * Convert DEB_STAGE to DEB_BUILD_PROFILES

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 01:07:48 +0200

libsemanage (2.7~rc2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - debian/control: Bump {build-}dependencies to match new release
    - Drop debian/patches/fix_use-after-free_python3.patch, applied upstream
    - Drop debian/patches/tests-makefile: Not needed anymore
    - debian/libsemanage1.symbols: Update the exported symbols list
  * Use python3 for semanage_migrate_store
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)
  * debian/rules: Fix the build of the ruby binding
  * debian/rules: Fix the build of the python binding

 -- Laurent Bigonville <bigon@debian.org>  Wed, 21 Jun 2017 21:56:16 +0200

libsemanage (2.6-2) unstable; urgency=medium

  * Team upload.
  * debian/patches/fix_use-after-free_python3.patch: Fix use-after-free when
    using python3 bindings, this was preventing to modify/delete login
    mappings, from upstream (Closes: #848232)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 30 Dec 2016 16:42:09 +0100

libsemanage (2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Make the build reproducible (Closes: #825674)
    - debian/control: Bump {build-}dependencies to match new release
  * debian/libsemanage1.symbols: Add the Build-Depends-Package field
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Oct 2016 19:47:52 +0200

libsemanage (2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - debian/control: Bump {build-}dependencies to match new release
    - debian/patches/semigrate-store.patch: Refreshed
    - debian/libsemanage1.symbols: Add new exported symbol
  * debian/gbp.conf: Sign tags by default
  * debian/control: Bump Standards-Version to 3.9.8 (no further changes)
  * debian/control: Update the Vcs-* URL's to please lintian (again)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 25 Apr 2016 20:14:10 +0200

libsemanage (2.4-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable
  * debian/control:
    - Add a Breaks against policycoreutils << 2.4, if the package is installed,
      let's be sure we have the correct version.
    - Add Breaks against the policy packages, libsemanage 2.4 introduce a new
      location for the policy store and the maintainer scripts from the policy
      packages need to be adjusted.

 -- Laurent Bigonville <bigon@debian.org>  Thu, 19 Nov 2015 01:58:47 +0100

libsemanage (2.4-2) experimental; urgency=medium

  * Team upload.
  * Create a new semanage-utils package and install semanage_migrate_store
    utility in it. This utility can be used to migrate the policy store to the
    new format and location.
  * Add d/p/semigrate-store.patch: Fix the soname of the libsepol library and
    debianize the name of the packages to install in an error message

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Oct 2015 17:12:24 +0100

libsemanage (2.4-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - debian/patches/disable-expand-check.patch: Refreshed
    - debian/control: Bump {build-}dependencies to match new release
    - Adjust the debian/libsemanage1.symbols file
  * debian/watch: Update watch file URL
  * debian/control: Bump Standards-Version to 3.9.6 (no further changes)
  * Do not look for hll compiler in /usr/libexec
  * Start building python3 packages

 -- Laurent Bigonville <bigon@debian.org>  Fri, 31 Jul 2015 16:21:13 +0200
