=== debian/control ===
--- 
+++ 
@@ -3,26 +3,26 @@
 VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/libsemanage.git;a=summary
 Priority: optional
 Section: libdevel
-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
-Uploaders: Manoj Srivastava <srivasta@debian.org>,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
+Uploaders: Laurent Bigonville <bigon@debian.org>,
            Russell Coker <russell@coker.com.au>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Build-Depends: bison,
-               debhelper (>= 9),
-               dh-python,
+               debhelper (>= 10),
+               dh-python <!nopython>,
                file,
                flex,
-               gem2deb (>= 0.5.0~),
+               gem2deb (>= 0.5.0~) <!noruby>,
                libaudit-dev,
                libbz2-dev,
-               libcunit1-dev,
-               libselinux1-dev (>= 2.6),
-               libsepol1-dev (>= 2.6),
-               libustr-dev,
+               libcunit1-dev <!nocheck>,
+               libselinux1-dev (>= 2.7),
+               libsepol1-dev (>= 2.7),
                pkg-config,
-               python-all-dev (>= 2.6.6-3~),
-               python3-all-dev,
-               swig
+               python-all-dev (>= 2.6.6-3~) <!nopython>,
+               python3-all-dev <!nopython>,
+               swig <!nopython> <!noruby>
 Homepage: http://userspace.selinuxproject.org/
 X-Python-Version: >= 2.5
 X-Python3-Version: >= 3.2
@@ -82,10 +82,9 @@
 Package: libsemanage1-dev
 Architecture: linux-any
 Depends: libbz2-dev,
-         libselinux1-dev (>= 2.6),
+         libselinux1-dev (>= 2.7),
          libsemanage1 (= ${binary:Version}),
-         libsepol1-dev (>= 2.6),
-         libustr-dev,
+         libsepol1-dev (>= 2.7),
          ${misc:Depends},
          ${shlibs:Depends}
 Provides: libsemanage-dev
@@ -109,6 +108,7 @@
 Architecture: linux-any
 Depends: ruby | ruby-interpreter, ${misc:Depends}, ${shlibs:Depends}
 Section: ruby
+Build-Profiles: <!noruby>
 XB-Ruby-Versions: ${ruby:Versions}
 Description: Ruby bindings to for SELinux policy management
  This package provides the Ruby bindings needed for developing Ruby
@@ -128,6 +128,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python:Depends}, ${shlibs:Depends}
 Section: python
+Build-Profiles: <!nopython>
 Description: Python bindings for SELinux policy management
  This package provides Python bindings for the management of SELinux
  policies.
@@ -146,6 +147,7 @@
 Architecture: linux-any
 Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
 Section: python
+Build-Profiles: <!nopython>
 Description: Python3 bindings for SELinux policy management
  This package provides Python3 bindings for the management of SELinux
  policies.
@@ -162,12 +164,12 @@
 
 Package: semanage-utils
 Architecture: linux-any
-Depends: libsepol1 (>= 2.6),
-         python,
-         python-selinux (>= 2.6),
-         python-semanage (>= 2.6),
+Depends: libsepol1 (>= 2.7),
+         python3 (>= 3.2),
+         python3-selinux (>= 2.7),
+         python3-semanage (>= 2.7),
          ${misc:Depends},
-         ${python:Depends}
+         ${python3:Depends}
 Section: admin
 Description: SELinux policy management utilities
  This package contains an utility that can be used to migrate from the old
